{
    "name": "my_vuetify",
    "version": "0.1.0",
    "private": true,
    "scripts": {
        "serve": "vite serve  --port 8092",
        "serve:daily": "vite --mode daily --port 8092",
        "serve:custom": "vite serve --mode custom --port 8092",
        "serve:development": "vite serve --mode development --port 8092",
        "serve:staging": "vite serve --mode staging --port 8092",
        "serve:production": "vite serve --mode production --port 8092",
        "copy:seo-files": "node copySeoFiles.js",
        "copy:cache-files": "node copyCacheFiles.js",
        "copy:git-info": "node copyGitInfo.js",
        "index-catalog": "node indexCatalog.js",
        "build": "vite build",
        "build:daily": "AWS_PROFILE=crane NODE_ENV=production vite build --mode daily --debug",
        "build:staging": "NODE_ENV=production vite build --mode staging",
        "build:production": "NODE_ENV=production vite build --mode production",
        "deploy:daily": "AWS_PROFILE=crane vite s3-deploy --mode daily --debug",
        "deploy:production": "AWS_PROFILE=crane vite s3-deploy --mode production",
        "deploy:staging": "AWS_PROFILE=crane vite s3-deploy --mode staging",
        "lint": "vite lint"
    },
    "dependencies": {
        "@vuetify/vite-plugin": "^1.0.0-alpha.11",
        "@mdi/font": "5.9.55",
        "core-js": "^3.8.3",
        "fuse.js": "^6.4.2",
        "js-base64": "^2.5.1",
        "lodash-humps": "^3.1.5",
        "vite-plugin-s3": "^0.3.0",
        "vue": "^3.2.47",
        "vue-meta": "^2.4.0",
        "vue-router": "4",
        "vue-tel-input": "^4.4.0",
        "vue3-cookies": "^1.0.6",
        "vue3-google-map": "^0.14.0",
        "vue3-tel-input": "^1.0.4",
        "vueperslides": "^2.8.2",
        "vuetify": "^3.2.4",
        "vuex": "^4.0.2",
        "vuex-map-fields": "^1.3.6"
    },
    "devDependencies": {
        "@vitejs/plugin-vue": "^4.1.0",
        "vite-plugin-vuetify": "^1.0.2",
        "vite-plugin-webpackchunkname":"^0.2.4",
        "babel-eslint": "^10.0.3",
        "eslint": "^7.32.0",
        "eslint-plugin-vue": "^8.0.3",
        "git-commit-info-webpack-plugin": "^1.0.3",
        "sass": "^1.62.0",
        "sass-loader": "^13.2.2",
        "vite": "^4.2.1",
        "vite-plugin-aws3": "^0.3.0",
        "vue-template-compiler": "^2.7.14",
        "vue-tsc": "^1.2.0",
        "vuetify-loader": "^1.9.2" 
    },
    "eslintConfig": {
        "root": true,
        "env": {
            "node": true
        },
        "extends": [
            "plugin:vue/essential",
            "eslint:recommended"
        ],
        "rules": {
            "no-useless-catch": "off",
            "no-console": "off"
        },
        "parserOptions": {
            "parser": "babel-eslint"
        }
    },
    "browserslist": [
        "> 1%",
        "last 2 versions"
    ]
}
